The Display & Video 360 API is rolling out Demand Gen resource support to all partners starting June 10, 2026. See our blog post for more details on how to get ready!
Deletes an insertion order. Returns error code NOT_FOUND if the insertion order does not exist. The insertion order should be archived first, i.e. set entityStatus to ENTITY_STATUS_ARCHIVED, to be able to delete it.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2024-09-18 UTC."],[],["The Display & Video 360 API v2 is no longer available. To delete an insertion order, first archive it by setting its `entityStatus` to `ENTITY_STATUS_ARCHIVED`. Then, use a DELETE request to `https://displayvideo.googleapis.com/v2/advertisers/{advertiserId}/insertionOrders/{insertionOrderId}`, providing the advertiser and insertion order IDs. The request body must be empty, and a successful deletion returns an empty response body. The OAuth scope `https://www.googleapis.com/auth/display-video` is required for authorization.\n"]]